extends KinematicBody2D

const GRAVITY = 90.0
const WALK_SPEED = 50
onready var _animated_sprite = $AnimatedSprite
var velocity = Vector2()

func _physics_process(delta):
	velocity.y += delta * GRAVITY

	if Input.is_action_pressed("ui_left"):
		_animated_sprite.play("walk-L")
		velocity.x = -WALK_SPEED
	elif Input.is_action_pressed("ui_right"):
		_animated_sprite.play("walk-R")
		velocity.x =  WALK_SPEED
	elif Input.is_action_pressed("ui_up"):
		_animated_sprite.play("up")
		velocity.y =  -WALK_SPEED
	elif Input.is_action_pressed("ui_down"):
		_animated_sprite.play("down")
		velocity.y =  WALK_SPEED

	# We don't need to multiply velocity by delta because "move_and_slide" already takes delta time into account.

	# The second parameter of "move_and_slide" is the normal pointing up.
	# In the case of a 2D platformer, in Godot, upward is negative y, which translates to -1 as a normal.
	velocity=move_and_slide(velocity, Vector2(0, -1))


func _on_AnimatedSprite_frame_changed():
	pass # Replace with function body.





func _on_RigidBody2D4_mouse_entered():
	pass # Replace with function body.


func _on_RigidBody2D2_mouse_entered():
	pass # Replace with function body.


func _on_RigidBody2D3_mouse_entered():
	pass # Replace with function body.


func _on_Coin2_area_entered(area):
	queue_free();
	pass # Replace with function body.


func _on_Coin3_area_entered(area):
	
	queue_free();
	pass # Replace with function body.


func _on_Coin4_area_entered(area):
	queue_free();
	pass # Replace with function body.


func _on_Coin5_area_entered(area):
	queue_free();
	pass # Replace with function body.


func _on_Coin6_area_entered(area):
	queue_free();
	pass # Replace with function body.
